Bug 123983 - changing scsi cards did not unconfigure old card
changing scsi cards did not unconfigure old card
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 09:33 EDT by Klaasjan Brand
Modified: 2014-03-16 22:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 14:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaasjan Brand 2004-05-22 09:33:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.14

Description of problem:
Installed FC2 on a system with a symbios (sym53c8xx driver) card.
Changed the card for an adaptec (aic7xxx driver).

On the next boot-up, kudzu correctly identifies the aic7xxx card, but
does not unconfigure the old card. This leads to a system with both
the removed and the new scsi card in /etc/modprobe.conf and only the
sym53c8xx driver loaded. After a reboot the aic7xxx driver is loaded.


Version-Release number of selected component (if applicable):
kudzu-1.1.62-1

How reproducible:
Didn't try

Steps to Reproduce:
1. Change scsi cards
2. Boot system

    

Additional info:
Comment 1 Bill Nottingham 2004-05-25 12:31:02 EDT
I'm assuming that lspci does not show the symbios card any more.
Comment 2 Klaasjan Brand 2004-05-25 14:49:23 EDT
It doesn't.
Comment 3 Bill Nottingham 2004-05-25 15:49:02 EDT
Can you attach your current /etc/sysconfig/hwconf?
Comment 4 Klaasjan Brand 2004-05-26 14:28:28 EDT
It doesn't show the symbios card anymore, but /etc/modprobe.conf still
has an entry for the sym53c8xx driver:

alias scsi_hostadapter sym53c8xx
alias scsi_hostadapter1 aic7xxx
Comment 5 Matthew Miller 2005-04-26 12:20:15 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.